Summary: Firmware for the Intel® PRO/Wireless 2100 Driver.
Name: ipw2100-firmware
Version: 1.1
Release: 2.0.1%{?dist}
License: distributable
Group: System Environment/Kernel
URL: http://ipw2100.sourceforge.net/firmware.php
Source0: http://cache-www.intel.com/cd/00/00/09/63/96377_96377.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contins the firmware for the ipw-2100 driver.
Usage of the firmware is subject to the terms contained in
%{_defaultdocdir}/%{name}-%{version}/LICENSE.  Please read
the license carefully.

%prep
%setup -q -c
gunzip -c ipw2100-fw-%{version}.tgz | tar -xf -

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/firmware
mkdir -p %{buildroot}%{_libdir}/hotplug/firmware
install -p *.fw %{buildroot}%{_sysconfdir}/firmware/
cd %{buildroot}%{_sysconfdir}/firmware
for file in *.fw; do
  ln -s %{_sysconfdir}/firmware/$file %{buildroot}%{_libdir}/hotplug/firmware/
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_sysconfdir}/firmware/*.fw
%{_libdir}/hotplug/firmware/*.fw

%changelog
* Sat Jun 14 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1-2.0.1
- Fix not utf-8	specfile entries.

* Tue May 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to firmware version 1.1.

* Tue May 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Change description to explicitly point to the LICENSE file.

* Sat May  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
